using Edu.Model.Entity.Course;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Model.ViewModel.Course
{
    /// <summary>
    /// 学员补课表扩展实体类
    /// </summary>
    public class RB_Student_Makeup_ViewModel: RB_Student_Makeup
    {
        /// <summary>
        /// 学员状态
        /// </summary>
        public int GuestState { get; set; }

        /// <summary>
        /// 处理状态字符串
        /// </summary>
        public string MakeUpStatusStr
        {
            get
            {
                string str = "";
                switch (this.MakeUpStatus)
                {
                    case 1: str = "正常"; break;
                    case 2: str = "已处理"; break;
                    case 3: str = "未处理"; break;

                }
                return str;
            }
        }

        /// <summary>
        /// 学员状态
        /// </summary>
        public string GuestStateStr
        {
            get
            {
                string str = "";
                switch (this.GuestState)
                {
                    case 1: str = "正常"; break;
                    case 2: str = "退学"; break;
                    case 3: str = "申请退学中"; break;
                    case 4: str = "驳回申请"; break;
                    case 5: str = "停课"; break;
                }
                return str;
            }
        }

        /// <summary>
        /// 学员姓名
        /// </summary>
        public string GuestName { get; set; }

        /// <summary>
        /// 班级名称
        /// </summary>
        public string ClassName { get; set; }

        /// <summary>
        /// 课程名称
        /// </summary>
        public string CourseName { get; set; }

        /// <summary>
        /// 教师名称
        /// </summary>
        public string TeacherName { get; set; }

        /// <summary>
        /// 教室名称
        /// </summary>
        public string RoomName { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public string StartDate { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public string EndDate { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public string StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public string EndTime { get; set; }
    }
}
